3 Replies Latest reply on Jul 25, 2016 8:26 AM by VectorP

    Oh geez. Your build failed. Sorry, but a problem occurred on the build server

    HussainMustafa Level 1

      Getting this error by including phonegap-plugin-push

       

      <?xml version='1.0' encoding='utf-8'?>

      <widget id="com.yallaeatdashboard.app" version="1.0.0" xmlns="http://www.w3.org/ns/widgets" xmlns:android="http://schemas.android.com/apk/res/android" xmlns:gap="http://phonegap.com/ns/1.0">

          <name>Yalla Eat Dashboard</name>

          <description>

              Yalla Eat Dashboard

          </description>

          <author email="info@nybbletech.com" href="http://www.example.com">

              Yalla Eat Dashboard

          </author>

         

          <platform name="android">

              <preference name="android-minSdkVersion" value="15" />

              <preference name="android-installLocation" value="auto" />

              <preference name="xwalkCommandLine" value="--progress-bar-animation" />

              <preference name="android-build-tool" value="gradle" />

          </platform>

         

          <preference name="fullscreen" value="true" />

          <preference name="DisallowOverscroll" value="true" />

          <preference name="stay-in-webview" value="true" />

          <preference name="SplashScreen" value="splash" />

          <preference name="FadeSplashScreen" value="false"/>

          <preference name="SplashScreenDelay" value="5000" />

          <preference name="ShowSplashScreenSpinner" value="false"/>

          <preference name="SplashMaintainAspectRatio" value="true" />

         

         

         

          <plugin name="cordova-plugin-device" source="npm" />

          <plugin name="cordova-plugin-device-motion" source="npm" />

          <plugin name="cordova-plugin-media" source="npm" />

          <plugin name="cordova-plugin-splashscreen" source="npm" />

          <plugin name="cordova-plugin-network-information" source="npm" />

          <plugin name="cordova-plugin-dialogs" source="npm" />

          <gap:plugin name="cordova-plugin-crosswalk-webview-pgb-adapt" source="npm" version="1.4.0-dev-5" />

          <plugin name="cordova-plugin-whitelist" sourec="npm" />

          <plugin name="phonegap-plugin-push" spec="1.6.0">

              <param name="SENDER_ID" value="540759688726" />

          </plugin>

          <gap:plugin name="nl.x-services.plugins.launchmyapp">

              <param name="URL_SCHEME" value="yallaeat" />

          </gap:plugin>

         

          <icon src="icon.png" />

         

          <splash src="splash.png" width="640" height="1136" />

         

          <access origin="*" />

          <allow-navigation href="http://*/*" />

          <allow-navigation href="https://*/*" />

         

         

      </widget>

        • 1. Re: Oh geez. Your build failed. Sorry, but a problem occurred on the build server
          VectorP Level 4

          1. What error message(s) did you find in your build log?

          2. Have you considered including the latest version of the plugin?

          (From npmjs: "1.7.4 is the latest of 27 releases")

          • 2. Re: Oh geez. Your build failed. Sorry, but a problem occurred on the build server
            HussainMustafa Level 1

            Changed the version to 1.7.4 but still getting the same error.

             

            Here is the log error:

             

            FAILURE: Build failed with an exception.

             

            * What went wrong:

            Execution failed for task ':dexDebug'.

            > com.android.ide.common.internal.LoggedErrorException: Failed to run command:

              /android-sdk/build-tools/23.0.1/dx --dex --no-optimize --output /project/build/intermediates/dex/debug --input-list=/project/build/intermediates/tmp/dex/debug/inputList.txt

              Error Code:

              2

              Output:

             

              UNEXPECTED TOP-LEVEL EXCEPTION:

              com.android.dex.DexException: Multiple dex files define Landroid/support/annotation/AnimRes;

              at com.android.dx.merge.DexMerger.readSortableTypes(DexMerger.java:596)

              at com.android.dx.merge.DexMerger.getSortedTypes(DexMerger.java:554)

              at com.android.dx.merge.DexMerger.mergeClassDefs(DexMerger.java:535)

              at com.android.dx.merge.DexMerger.mergeDexes(DexMerger.java:171)

              at com.android.dx.merge.DexMerger.merge(DexMerger.java:189)

              at com.android.dx.command.dexer.Main.mergeLibraryDexBuffers(Main.java:502)

              at com.android.dx.command.dexer.Main.runMonoDex(Main.java:334)

              at com.android.dx.command.dexer.Main.run(Main.java:277)

              at com.android.dx.command.dexer.Main.main(Main.java:245)

              at com.android.dx.command.Main.main(Main.java:106)

             

             

             

            * Try:

            Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

             

            BUILD FAILED

             

            Total time: 1 mins 48.92 secs

             

            /project/cordova/node_modules/q/q.js:126

              throw e;

              ^

            Error code 1 for command: /project/gradlew with args: cdvBuildDebug,-b,/project/build.gradle,-Dorg.gradle.daemon=true,-PcdvBuildMultipleApks=fa lse

            • 3. Re: Oh geez. Your build failed. Sorry, but a problem occurred on the build server
              VectorP Level 4

              This problem means that there is some collission with various versions of the Android service library modules.

              From your log and plugin list, I can't tell for sure which plugins collide. If I were in your situation, I would rebuild with the push plugin only, then rebuild with one additional plugin from your list (etc) until I found out which two plugins are not the best friends.